Bug 1123523 - [abrt] guayadeque: _dbus_message_add_counter_link(): guayadeque killed by SIGSEGV
Summary: [abrt] guayadeque: _dbus_message_add_counter_link(): guayadeque killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: guayadeque
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:554524f3fe128c4fab1613d2c7a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 23:22 UTC by J Denson
Modified: 2015-01-17 23:55 UTC (History)
1 user (show)

Fixed In Version: guayadeque-0.3.7-6.svn1893.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-17 23:55:56 UTC


Attachments (Terms of Use)
File: backtrace (72.82 KB, text/plain)
2014-07-25 23:22 UTC, J Denson
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-25 23:22 UTC, J Denson
no flags Details
File: core_backtrace (57.87 KB, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: dso_list (17.79 KB, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: environ (2.89 KB, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: maps (84.04 KB, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: open_fds (1.42 KB, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details
File: var_log_messages (372 bytes, text/plain)
2014-07-25 23:23 UTC, J Denson
no flags Details

Description J Denson 2014-07-25 23:22:54 UTC
Description of problem:
Playing an mp3 - got about 3 seconds in then segfaulted

Version-Release number of selected component:
guayadeque-0.3.7-2.svn1893.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/guayadeque
crash_function: _dbus_message_add_counter_link
executable:     /usr/bin/guayadeque
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_message_add_counter_link at dbus-message.c:288
 #1 _dbus_message_add_counter at dbus-message.c:338
 #2 _dbus_transport_queue_messages at dbus-transport.c:1140
 #3 do_reading at dbus-transport-socket.c:883
 #4 socket_do_iteration at dbus-transport-socket.c:1194
 #5 _dbus_transport_do_iteration at dbus-transport.c:976
 #6 _dbus_connection_do_iteration_unlocked at dbus-connection.c:1234
 #7 _dbus_connection_block_pending_call at dbus-connection.c:2415
 #8 dbus_pending_call_block at dbus-pending-call.c:748
 #9 dbus_connection_send_with_reply_and_block at dbus-connection.c:3530

Comment 1 J Denson 2014-07-25 23:22:57 UTC
Created attachment 921083 [details]
File: backtrace

Comment 2 J Denson 2014-07-25 23:22:58 UTC
Created attachment 921084 [details]
File: cgroup

Comment 3 J Denson 2014-07-25 23:23:00 UTC
Created attachment 921085 [details]
File: core_backtrace

Comment 4 J Denson 2014-07-25 23:23:01 UTC
Created attachment 921086 [details]
File: dso_list

Comment 5 J Denson 2014-07-25 23:23:02 UTC
Created attachment 921087 [details]
File: environ

Comment 6 J Denson 2014-07-25 23:23:03 UTC
Created attachment 921088 [details]
File: exploitable

Comment 7 J Denson 2014-07-25 23:23:04 UTC
Created attachment 921089 [details]
File: limits

Comment 8 J Denson 2014-07-25 23:23:06 UTC
Created attachment 921090 [details]
File: maps

Comment 9 J Denson 2014-07-25 23:23:07 UTC
Created attachment 921091 [details]
File: open_fds

Comment 10 J Denson 2014-07-25 23:23:08 UTC
Created attachment 921092 [details]
File: proc_pid_status

Comment 11 J Denson 2014-07-25 23:23:09 UTC
Created attachment 921093 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-01-09 12:32:32 UTC
guayadeque-0.3.7-6.svn1893.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/guayadeque-0.3.7-6.svn1893.fc21

Comment 13 Fedora Update System 2015-01-10 03:00:46 UTC
Package guayadeque-0.3.7-6.svn1893.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing guayadeque-0.3.7-6.svn1893.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0520/guayadeque-0.3.7-6.svn1893.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-01-17 23:55:56 UTC
guayadeque-0.3.7-6.svn1893.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.